
QGIS Application - Feature request #4213

From RoadGraph to Network Analysis

2011-08-23 02:26 AM - magerlin -

Status: Closed

Priority: Normal

Assignee:

Category: Analysis library

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 14177

Description

The GIS-Lab has an (experimental?) RoadGraph plugin, which makes it possible to calculate shortest or fastes route between to points in

a road (or other) network.

It would be nice to see more work on this like:

    -  Defining your own utility function to minimize (not just time or distance)

    -  Possibility to calculate shortest paths for a set of points - perhaps from a point shape layer with target and/or starting points?

    -  Perhaps even calculate a travel time/distance/etc. matrix between all points in the point shape layer (I know processing time will rise!)

History

#1 - 2011-10-27 11:11 AM - Alexander Bruy

- Category changed from Python plugins to C++ Plugins

- Assignee set to Sergey  Yakushev

#2 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2014-06-29 11:28 AM - Jürgen Fischer

- Category changed from C++ Plugins to 113

#6 - 2015-12-05 01:46 AM - Médéric RIBREUX

Hello, bug triage...

with QGIS 2.13 (and previous versions) we have a Network Analysis library (with Python bindings) and it could be interesting to build new Processing

algorithms with it.

For network analysis, I use mainly GRASS and I think it could be also very interesting to add the v.net algorithms in QGIS (perhaps something easier).

#7 - 2016-12-20 01:40 AM - Alexander Bruy

- Status changed from Open to Closed

- Assignee deleted (Sergey  Yakushev)

- Resolution set to fixed/implemented
http://docs.qgis.org/testing/en/docs/pyqgis_developer_cookbook/network_analysis.html


Should be fixed with Processing front-end. Please reopen if necessary

#8 - 2017-01-02 01:26 AM - Giovanni Manghi

- Category changed from 113 to Analysis library
